import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
interface FormField {
    label: string;
    type: 'text' | 'email' | 'number' | 'select';
    name: string | '';
    value: string | number;
    required: boolean;
    options?: string[];
}
export declare class BootStrapDynamicFormComponent implements OnInit, OnChanges {
    form: FormGroup;
    formData: FormField[];
    event: EventEmitter<any>;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    createFormGroup(formData: any[]): FormGroup;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootStrapDynamicFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BootStrapDynamicFormComponent, "boot-strap-dynamic-form", never, { "formData": { "alias": "formData"; "required": false; }; }, { "event": "event"; }, never, never, false, never>;
}
export {};
