import { ElementRef, OnInit } from '@angular/core';
import { AbstractControl, FormControl, FormGroup, ValidationErrors, ValidatorFn } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ReactiveJsonFormsService implements OnInit {
    dynamicFormGroup: any;
    model: {};
    SHIPPING_BILL_LIST: any;
    BL_COPY_LIST: any;
    COMMERICAL_NO: any;
    ORM_BY_PARTY_NAME: any;
    ORM_SELECTION_DATA: any;
    BOE_LIST: any;
    CURRENCY_LIST: any;
    BUYER_DETAILS: any;
    BUYER_ADDRESS_DETAILS: any;
    BENEFICIARY_DETAILS: any;
    BENEFICIARY_ADDRESS_DETAILS: any;
    INWARD_REMITTANCE_NAME_LIST: any;
    NEW_INWARD_REMITTANCE_NAME_LIST: any;
    BUYER_REMITTANCE_NAME_LIST: any;
    ConsigneeNameList: any;
    PIPO_DATA: any;
    pipourl1: any;
    pipoArr: any;
    BUYER_LIST: any;
    CommercialNumber: any;
    COMMERCIAL_LIST: any;
    commerciallist: any;
    SHIPPING_BUNDEL: any;
    SHIPPING_BILL_MASTER_DATA: any;
    SUBMIT_ERROR: boolean;
    origin: any;
    commodity: any;
    location: any;
    bankDetail: any;
    bankDetail2: any;
    Id: any;
    BANK_NAME_LIST_GLOABL: any;
    FIELDS_DATA: any;
    LOGIN_TOEKN: any;
    userData: any;
    BUYER_NOT_EXITS: boolean;
    BENEFICIARY_NOT_EXITS: boolean;
    SELECTED_PIPO: any;
    SELECTED_PIPO_ID: any;
    ToChargesAccountdata: any;
    ToCreditAccountdata: any;
    BANK_LIST_DROPDOWN: any;
    ORIGANL_BANK_LIST_DROPDOWN: any;
    CommericalNo: ElementRef | any;
    BUYER_DETAILS_MASTER: any;
    BUYER_DETAILS_DROPDOWN_MASTER: any;
    COMPANY_INFO: any;
    CHECK_BOX_BANK_LIST: any;
    CHECK_BOX_BANK_LIST_CHARGES: any;
    CHECK_BOX_REMITTER_LIST: any;
    REMITTER_LIST: any;
    PIPO_LIST: any;
    ORM_LIST: any;
    DAN_LIST: any;
    PAYMENTS_TEMRS: any;
    PURPOSE_CODE_FILTER_DATA: any;
    PURPOSE_CODE_LIST_DATA: any;
    A2_JSON_DATA: any;
    sumTotalAmount: any;
    SELECTED_PURPOSE_CODE_DATA: any;
    SELECTED_PURPOSE_CODE_INDEX: any;
    SELECTED_PURPOSE_CODE_DUMP_SLEECTION: any;
    UPLOAD_STATUS: boolean;
    USER_DATA: any;
    PIPO_TRANSCTION_LIST: any;
    DROP_DOWN_DATA: any;
    ALL_DATA_PURPOSE_CODE: any;
    SELECT_REPORT_TYPE: any;
    ARRAY_LIST_DROP_DOWN_DATA: any;
    HSCODE_FEILD_FORM: any;
    MT102_SUBJECT: any;
    ReferenceNumber: string;
    FORM_VALUE_CHANGES: any;
    AFTER_BUILD_FORM: BehaviorSubject<any>;
    SUBMIT_FORM: BehaviorSubject<any>;
    BuyerSpecificConsigneeNameList: any;
    ArraySelectOption: any;
    constructor();
    ResignReferenceNumber(): void;
    ngOnInit(): void;
    getReferenceNumber(): string;
    toWords(s: any): string;
    BENEFICIARY_DETAILS_LIST: any;
    filterData(data: any): void;
    text_array(text: any): any;
    COMPANY_SELECTED_BANK_DETAILS: any;
    buildForm(model: any, id: any): Promise<unknown>;
    setBankList(data: any): void;
    getFormControlsFields(model: any, formid: any): Promise<{
        formGroupFields: any;
        fields: any;
    }>;
    private createFormArray;
    private createNestedFormGroups;
    private createFormControl;
    ControlSetValue(id: any, key: any, value: any): void;
    setValueFromArray(id: any, form: any, fieldName: any, OptionfieldIndex: any, FormOptionfieldName: any, value: any, callback?: any, field?: any): void;
    setValueFrom(id: any, form: any, fieldName: any, value: any, callback?: any, field?: any): void;
    setValueFromChildArray(id: any, form: any, ParentfieldName: any, FormArrayfieldName: any, OptionfieldIndex: any, ChildOptionfieldName: any, ChildOptionfieldIndex: any, FormOptionfieldName: any, value: any, callback?: any, field?: any): void;
    ConfirmedValidator(controlName: string, matchingControlName: string): any;
    setRequired(minLength: number | undefined, maxLength: number | undefined, rule: any, formid: any, field: any): any;
    removeRequiredValidator(condition: boolean, id: any, fieldName: any): void;
    valueChangesSpecficeName(id: any, fieldName: any): any;
    removeDuplicates(data: any, key: any): any;
    max_length_validator(id: any, fieldName: any): boolean;
    max_length_validatorFormArray(id: any, formGroupKey: any, index: any, fieldName: any): boolean;
    counter: number;
    buildNewFormArray(field: any, index: any, element: any, formid: any, GroupLabel: any, MAX_LIMIT: any): any;
    addNewFormArray(id: any, index: any, fieldName: any): Promise<void>;
    emptyvalue(data: any): any;
    removeNewFormArray(id: any, index: any, fieldName: any, OptionfieldIndex: any): Promise<void>;
    removeFormArray(formGroupKey: any, index: any, labelIndex: any, formid: any, MAX_LIMIT: any): any;
    removeIndexUpdate(data: any, MAX_LIMIT: any): void;
    removeUpdateFormValue(data: any, MAX_LIMIT: any): void;
    setInputVisibilty(formid: any, index: any, key: any, value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReactiveJsonFormsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ReactiveJsonFormsService>;
}
export declare function hasDuplicateFormArray(data: any): ValidatorFn;
export declare function hasAmountLessThanFormArray(control: FormControl): ValidationErrors | null;
export declare function hasAmountLessThanForm(equals: string, Message: string): (control: AbstractControl) => ValidationErrors | null;
export declare function hasAmountGreaterThanForm(equals: string, Message: string): (control: AbstractControl) => ValidationErrors | null;
export declare function hasAmountGreaterThanFormArray(control: FormControl): ValidationErrors | null;
export declare function RemoveValidator(): ValidatorFn;
export declare function hasDuplicateControl(data: any, forms: any, id: any): ValidationErrors;
export declare function alphaNumericValidator(control: FormControl): ValidationErrors | null;
export declare function alphaValidator(control: FormControl): ValidationErrors | null;
export declare function EmailValidator(control: FormControl): ValidationErrors | null;
export declare function PasswordValidator(control: FormControl): ValidationErrors | null;
export declare function ConfirmedValidator(controlName: string, matchingControlName: string): (formGroup: FormGroup) => void;
export declare const PasswordStrengthValidator: (control: AbstractControl) => ValidationErrors | null;
