import { AngularModalPopup } from './modal-popup.component';
import { ApplicationRef, ComponentRef, EnvironmentInjector, Type, ViewContainerRef } from '@angular/core';
import { Options } from './modal-options';
import * as i0 from "@angular/core";
export declare class ModalPopupService {
    private appRef;
    private injector;
    newModalComponent: ComponentRef<AngularModalPopup>;
    options: any;
    constructor(appRef: ApplicationRef, injector: EnvironmentInjector);
    uploadContainer: ViewContainerRef;
    open(vcrOrComponent: ViewContainerRef, options?: Options): void;
    open<C>(vcrOrComponent: Type<C>, options?: Options): void;
    private openWithTemplate;
    private openWithComponent;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalPopupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalPopupService>;
}
