import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { Router } from '@angular/router';
import { ReactiveJsonFormsService } from '../service/upload-service-validator.service';
import * as i0 from "@angular/core";
export declare class UploadComponentsComponent implements OnInit, AfterViewInit, OnDestroy {
    sanitizer: DomSanitizer;
    router: Router;
    validator: ReactiveJsonFormsService;
    SUBMIT_ERROR: boolean;
    label: any;
    labelStyle: any;
    FormStyle: any;
    MainStyle: any;
    DetailsShow: boolean;
    id: any;
    SubmitButtonStyle: any;
    ButtonPanelStyle: any;
    CancelRoute: any;
    TypeOfValue: any;
    SubmitName: any;
    AddNewRequried: boolean;
    SubmitEvent: any;
    AddNewBank: any;
    RawValue: any;
    BankEvent: any;
    SelectionBank: any;
    YesNoCheckBoxEvent: any;
    SHIPPING_BILL_EVENT: any;
    CommericalNoEvent: any;
    AddButton: any;
    BL_COPY_EVENT: any;
    BENEFICIARY_EVENT: any;
    BUYER_BENEE_EVENT: any;
    PIPO_EVENT: any;
    HIDE_BACKGROUND: boolean;
    HIDE_SUBMIT_BUTTON: boolean;
    KEY_ENTER_ENABLED: any;
    ADD_NEW_BUTTON_VISIBLE: boolean;
    BuyerNotFound: ElementRef | any;
    BeneficiaryNotFound: ElementRef | any;
    morecontent: boolean;
    BUTTON_PANEL_SHOW: boolean;
    BUTTON_PANEL_HIDE: boolean;
    SubmitButtonDisabled: boolean;
    ResetForm: boolean;
    DropDownEvent: any;
    ArrayList_ObjectEvent: any;
    FormValueChanges: any;
    CancelEvent: any;
    ErrorMessageData: {
        status: boolean;
        text: string;
    };
    Account_Type: any;
    LOGIN_TOEKN: any;
    POPUP_VISIBLILTY: any;
    HS_CODE_DATA: any;
    NEW_STATIC_PURPOSE_CODE_LIST: any;
    NEW_PURPOSE_CODE_LIST: any;
    PAGINATE_DATA: any;
    PAGINATOR_DATA: any;
    PURPOSE_CODE_DROPDOWN_DATA: Array<any>;
    PURPOSE_GROUP_NAME_DROPDOWN_DATA: Array<any>;
    constructor(sanitizer: DomSanitizer, router: Router, validator: ReactiveJsonFormsService);
    ngOnInit(): void;
    paginate(items: any, page?: number, perPage?: number): {
        previousPage: number | null;
        nextPage: number | null;
        total: any;
        totalPages: number;
        items: any;
    };
    PAGINATION_EVENT(event: any): void;
    get onClickButton(): string;
    get resetForm(): any;
    onSubmit(event: any, e: any, type?: any): void;
    get getRawValue(): any;
    dumpFunc(value: any, callback: any): void;
    get geForm(): any;
    setFormValue(value: any, index: any, name1: any, name2: any): void;
    setValue(value: any, name1: any): void;
    addFormArray(key1: any, index: any, data: any, GroupLabel: any): void;
    removeFormArray(key1: any, index: any, labelIndex: any, data: any, data2?: any): void;
    AUTOFILL_INPUT_NAME_LIST: any;
    ORM_SELECTION(event: any, index: any, data: any, AUTOFILL_INPUT_NAME_LIST: any, type?: any): void;
    CALLBACK: any;
    field: any;
    dump(data: any, callback?: any, field?: any): void;
    autofillCommerical(Commericaldata: any, AUTOFILL_INPUT_NAME_LIST: any): void;
    CreateFormBank(): void;
    addNewBank(e: any, panel: any): void;
    onAddNewBank(): void;
    initialName(words: any): any;
    removeAllSpecialChar(string: any): any;
    ngAfterViewInit(): void;
    callbackFunction(value: any, callback?: any): void;
    toggleRequiredValidator(condition: boolean, id: any): void;
    ValueAdd(id: any, form: any, fieldName: any, OptionfieldIndex: any, FormOptionfieldName: any, value: any, callback?: any, field?: any): void;
    ToHSCode_Selected: any;
    ToHSCode(event: any, value: any, index: any): void;
    ALL_DATA_HSCODE: any;
    DoneButton(): void;
    filtertimeout: any;
    FILTER_HS_CODE_DATA: any;
    filterHSCode(value: any): void;
    PUPOSE_CODE_FEILD_FORM: any;
    SELECT_PURPOSE_CODE(event: any, index: any): void;
    PURPOSE_ValueAdd(id: any, field: any): void;
    PURPOSEDoneButton(): void;
    IMAGE_UPLOAD_LIST: any;
    onUploadChanges(event: any, autofill: any): void;
    removeImage(index: any, autofill: any): void;
    HideShowInput(event: any, item: any, fieldIndex?: any, callback?: any): void;
    HideInputCheckBox(bool: any, item: any): void;
    ShowInputCheckBox(bool: any, item: any): void;
    onLabelNameChange(event: any, item: any, item2?: any): void;
    AutoFillCurrency(value: any, autofillitem: any): void;
    onSHIPPING_BILL_EVENT(value: any): void;
    onBL_COPY_EVENT(value: any, fieldName: any, fieldIndex: any, callback?: any): void;
    CommericalListCheckBoxList: any;
    onCommericalListCheckBox(event: any, fieldName: any, index: any, item: any, fieldIndex: any, callback?: any): void;
    onBankCheckBox(event: any, fieldName: any, item: any, ItemChecked: any, CheckBoxCallBack?: any): void;
    onChargerBankCheckBox(event: any, fieldName: any, item: any, ItemChecked: any, CheckBoxCallBack?: any): void;
    onRemitterCheckBox(event: any, fieldName: any, item: any, ItemChecked: any): void;
    BANK_CHECKBOX(value: any, CHECK_BOX_BANK_LIST_CHARGES: any, EqualBankDetails?: any, errormsg?: any, fieldName?: any, dynamicFormGroup?: any, callback?: any): void;
    REMITTER_CHECKBOX(value: any): void;
    YesNoFunction(value: any, name: any, callback: any): void;
    AddAdditionalDocuments(form: any, name: any, index: any, fromitems: any): void;
    removeAdditionalDocuments(form: any, name: any, index: any, fromitems: any): void;
    PushValueAdditionalDocuments(args: any, form: any, name: any, index: any, fromitems: any): void;
    AdditionalDocumentsUrl: any;
    ViewAdditionalDocuments(doc: any): void;
    UploadedViewPdfUrl: any;
    UploadedViewPdf(pdf: any): void;
    LETTER_HEADE_URL: any;
    onFileSelect(input: any, urladd: any): void;
    CancelRouterNavigate(url: any): void;
    callbuyerbene(event: any): void;
    ngOnDestroy(): void;
    UploadDocumentResponse(args: any, id: any, parentcontrols: any, index: any, childcontrols: any): void;
    onChangeMatCheckBox(id: any, parentcontrols: any, key: any, selectedOption: any): void;
    callbackfill(fieldName: any, fieldIndex: any, item: any, callback: any): void;
    filterGroupNameData(event: any): void;
    filterPurposeCodeData(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadComponentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadComponentsComponent, "Json-Reactive-Forms", never, { "label": { "alias": "label"; "required": false; }; "labelStyle": { "alias": "labelStyle"; "required": false; }; "FormStyle": { "alias": "FormStyle"; "required": false; }; "MainStyle": { "alias": "MainStyle"; "required": false; }; "DetailsShow": { "alias": "DetailsShow"; "required": false; }; "id": { "alias": "id"; "required": false; }; "SubmitButtonStyle": { "alias": "SubmitButtonStyle"; "required": false; }; "ButtonPanelStyle": { "alias": "ButtonPanelStyle"; "required": false; }; "CancelRoute": { "alias": "CancelRoute"; "required": false; }; "TypeOfValue": { "alias": "TypeOfValue"; "required": false; }; "SubmitName": { "alias": "SubmitName"; "required": false; }; "AddNewRequried": { "alias": "AddNewRequried"; "required": false; }; "HIDE_BACKGROUND": { "alias": "HIDE_BACKGROUND"; "required": false; }; "HIDE_SUBMIT_BUTTON": { "alias": "HIDE_SUBMIT_BUTTON"; "required": false; }; "KEY_ENTER_ENABLED": { "alias": "KEY_ENTER_ENABLED"; "required": false; }; "ADD_NEW_BUTTON_VISIBLE": { "alias": "ADD_NEW_BUTTON_VISIBLE"; "required": false; }; "morecontent": { "alias": "morecontent"; "required": false; }; "BUTTON_PANEL_SHOW": { "alias": "BUTTON_PANEL_SHOW"; "required": false; }; "BUTTON_PANEL_HIDE": { "alias": "BUTTON_PANEL_HIDE"; "required": false; }; "SubmitButtonDisabled": { "alias": "SubmitButtonDisabled"; "required": false; }; "ResetForm": { "alias": "ResetForm"; "required": false; }; "ErrorMessageData": { "alias": "ErrorMessageData"; "required": false; }; }, { "SubmitEvent": "SubmitEvent"; "AddNewBank": "AddNewBank"; "RawValue": "RawValueEvent"; "BankEvent": "BankEvent"; "SelectionBank": "SelectionBank"; "YesNoCheckBoxEvent": "YesNoCheckBoxEvent"; "SHIPPING_BILL_EVENT": "SHIPPING_BILL_EVENT"; "CommericalNoEvent": "CommericalNoEvent"; "AddButton": "AddButton"; "BL_COPY_EVENT": "BL_COPY_EVENT"; "BENEFICIARY_EVENT": "BENEFICIARY_EVENT"; "BUYER_BENEE_EVENT": "BUYER_BENEE_EVENT"; "PIPO_EVENT": "PIPO_EVENT"; "DropDownEvent": "DropDownEvent"; "ArrayList_ObjectEvent": "ArrayList_ObjectEvent"; "FormValueChanges": "FormValueChanges"; "CancelEvent": "CancelEvent"; "LETTER_HEADE_URL": "LETTER_HEADE_URL"; }, never, ["more-content", "*"], false, never>;
}
